texmath-0.13.2.1: Conversion between math formats.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Unicode.ToTeX

Description

This module is derived from the list of unicode to LaTeX mappings compiled by Günter Milde.

An unmodified original copy of this work can be obtained from here

Synopsis

- getTeXMath :: Text -> Env -> [TeX]
- getSymbolType :: Char -> TeXSymbolType
- symbolMap :: Map Text Exp
- records :: [Record]

# Documentation

getTeXMath :: Text -> Env -> [TeX] Source #

Converts a string of unicode characters into a strong of equivalent TeXMath commands. An environment is a list of strings specifying which additional packages are available.

getSymbolType :: Char -> TeXSymbolType Source #

Returns TeX symbol type corresponding to a unicode character.

symbolMap :: Map Text Exp Source #

Mapping from TeX commands to Exp.

records :: [Record] Source #